Get registry
curl -X GET "https://api.prd.rad.security/accounts/example_string/registries/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/registries/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/registries/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/registries/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/registries/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"aws_account_id": "example_string",
"aws_region": "example_string",
"created_at": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"id": "example_string",
"repository_name": "John Doe",
"type": "example_string",
"updated_at": "example_string"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/registries/{registry_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount ID
path
registry_idstring
RequiredRegistry ID
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount ID
registry_idstring
RequiredRegistry ID
Responses
account_idstring
aws_account_idstring
aws_regionstring
created_atstring
gcp_locationstring
gcp_project_idstring
gcp_project_numberstring
idstring
repository_namestring
typestring
updated_atstring
Was this page helpful?